## lxqt-session 2.1.0

=== debian/changelog ===
lxqt-session (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/control: Manage conflict between xdg-desktop-portal-lxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Dec 2024 01:08:03 +0800

lxqt-session (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:10:10 +0100

lxqt-session (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt2-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on qtxdg-tools (>= 4.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: update Depends to lxqt-qtplugin6

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/control: depends on lxqt-qtplugin (>= 2.0.0~).
  * debian/control: drop alternative depends on non exist package.
  * debian/copyright: update.
  * debian/control: run wrap-and-sort.
  * debian/control: build-deps on liblayershellqtinterface-dev (>=
    6.0.0~).
  * debian/control: build-deps on libglib2.0-dev.
  * debian/salsa-ci.yml: drop blhc tests error workaround.
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/salsa-ci.yml: build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 17:18:55 +0200

lxqt-session (1.4.0-2) unstable; urgency=medium

  * Source only upload without changes.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 06 Sep 2024 19:48:27 +0200

lxqt-session (1.4.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0

  [ Severus Septimius ]
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump build-deps on qtxdg-tools (>= 3.12.0~).
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: Add dependency on qttools5-dev for Qt5LinguistTools
  * Add patch for lxqt-portals.conf.
  * debian/control: add xdg-desktop-portal-lxqt to Recommends
  * debian/changelog: update changelog

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 24 Jul 2024 09:48:18 +0200

lxqt-session (1.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/copyright: update.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: bump build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: bump build-deps on qtxdg-tools (>= 3.11.0~).

  [ Andrew Lee (李健秋) ]
  * Drop patches already included in upstream.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/salsa-ci.yml: allow failure on blhc test.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 26 Aug 2023 07:38:08 +0200
