=== debian/changelog ===
lxqt-session (2.1.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.1.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * debian/control: drop gnome-screensaver from alternate Recommends.
    (Closes: #1094889)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 17:16:10 +0100
