=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
             qlipper,
             qps [linux-any],
             xdg-desktop-portal-lxqt,
-            xscreensaver | gnome-screensaver | light-locker | i3lock | suckless-tools
+            xscreensaver | light-locker | i3lock | suckless-tools
 Provides: x-session-manager
 Breaks: xdg-desktop-portal-lxqt (<< 1.1.0~)
 Description: session manager component for LXQt
