## lxqt-session 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # Minimum Versions
 set(KF6_MINIMUM_VERSION "6.0.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 set(SHELLQT_MINIMUM_VERSION "6.0.0")
 
@@ -50,7 +50,7 @@
 find_package(XdgUserDirs REQUIRED)
 
 # Patch Version
-set(LXQT_SESSION_PATCH_VERSION 1)
+set(LXQT_SESSION_PATCH_VERSION 0)
 
 set(LXQT_SESSION_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_SESSION_PATCH_VERSION})
 add_definitions(
