=== lxqt-config-session/translations/CMakeLists.txt ===
project(lxqt-config-session)

build_component("." "")
