=== lxqt-leave/translations/CMakeLists.txt ===
project(lxqt-leave)

build_component("." "")
