=== lxqt-session/translations/CMakeLists.txt ===
project(lxqt-session)

build_component("." "")
