=== debian/changelog ===
lxqt-session (2.2.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.2.0 (Closes: #1097341, #1109053)
  * d/upstream: Fix signing-key.asc
  * d/control: Update Build-Depends
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyright year

  [ Andrew Lee (李健秋) ]
  * Release debian version 2.2.0-1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 08:00:22 +0800
