=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libproc2-dev,
                libudev-dev [linux-any],
                libx11-dev,
                qt6-svg-dev,
                qt6-tools-dev,
-               qtxdg-tools (>= 4.1.0~),
+               qtxdg-tools (>= 4.2.0~),
                xdg-user-dirs
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
