## lxqt-session 2.3.0

=== debian/changelog ===
lxqt-session (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.3.0.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: build-deps on qtxdg-tools (>= 4.3.0~).
  * debian/control: lxqt-session depends on lxqt-qtplugin (>= 2.3.0~).
  * debian/copyright: update.
  * debian/patches: clean up unused patches.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Nov 2025 06:18:47 +0100
