=== debian/control ===
--- 
+++ 
@@ -8,23 +8,22 @@
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
                libproc2-dev,
                libudev-dev [linux-any],
                libx11-dev,
                qt6-svg-dev,
                qt6-tools-dev,
-               qtxdg-tools (>= 4.2.0~),
+               qtxdg-tools (>= 4.3.0~),
                xdg-user-dirs
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-session
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-session.git
 Homepage: https://github.com/lxqt/lxqt-session
-Rules-Requires-Root: no
 
 Package: lxqt-session
 Architecture: any
-Depends: lxqt-qtplugin (>= 2.0.0~),
+Depends: lxqt-qtplugin (>= 2.3.0~),
          lxqt-themes,
          x11-xkb-utils,
          ${misc:Depends},
